org.apache.cassandra.service

## Interface IResponseResolver<TMessage,TResolved>

All Known Implementing Classes:
  AbstractRowResolver, RangeSliceResponseResolver, RowDataResolver, RowDigestResolver

    public interface IResponseResolver<TMessage,TResolved>

### Method Summary

All Methods Instance Methods Abstract Methods
`TResolved` `getData()` returns the data response without comparing with any digests
`java.lang.Iterable<MessageIn<TMessage>>` `getMessages()`
`boolean` `isDataPresent()`
`void` `preprocess(MessageIn<TMessage> message)`
`TResolved` `resolve()` This Method resolves the responses that are passed in .

### Method Detail

#### resolve

    TResolved resolve()
               throws DigestMismatchException

This Method resolves the responses that are passed in . for example : if its write response then all we get is true or false return values which implies if the writes were successful but for reads its more complicated you need to look at the responses and then based on differences schedule repairs . Hence you need to derive a response resolver based on your needs from this interface.

Throws:
  `DigestMismatchException`

#### isDataPresent

    boolean isDataPresent()

#### getData

    TResolved getData()

returns the data response without comparing with any digests

#### preprocess

    void preprocess(MessageIn<TMessage> message)

#### getMessages

    java.lang.Iterable<MessageIn<TMessage>> getMessages()